"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.useLocation = exports.useRouting = exports.RoutingProvider = void 0;
const react_1 = __importStar(require("react"));
const ui_routing_native_link_1 = require("@teambit/ui.routing.native-link");
const ui_routing_native_nav_link_1 = require("@teambit/ui.routing.native-nav-link");
const ui_is_browser_1 = require("@teambit/ui.is-browser");
// this is just a fallback,
// will only be used if run outside of react-router and the browser
const defaultLocation = { pathname: '/', search: '', hash: '' };
const defaultRouting = {
    Link: ui_routing_native_link_1.NativeLink,
    NavLink: ui_routing_native_nav_link_1.NativeNavLink,
    useLocation: () => (ui_is_browser_1.isBrowser ? window.location : defaultLocation),
};
const RoutingContext = react_1.createContext(defaultRouting);
/**
 * Injects routing components into context
 */
function RoutingProvider({ value, children }) {
    return react_1.default.createElement(RoutingContext.Provider, { value: value }, children);
}
exports.RoutingProvider = RoutingProvider;
/**
 * Gets routing components from context.
 * (defaults to native components)
 */
function useRouting() {
    return react_1.useContext(RoutingContext);
}
exports.useRouting = useRouting;
/**
 * equivalent to window.location
 */
function useLocation() {
    return useRouting().useLocation();
}
exports.useLocation = useLocation;
//# sourceMappingURL=routing-provider.js.map